Subject: Re: linux-next: build failure after merge of the usb tree

From: Joe Perches <[email-masked]>
Date: Thu, 18 Apr 2013 09:06:38 -0700

On Thu, 2013-04-18 at 16:05 +1000, Stephen Rothwell wrote:
> After merging the usb tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> ERROR: "usb_stor_dbg" [drivers/usb/storage/ums-usbat.ko] undefined!
[...]
> Caused by commit 75b9130e8af6 ("usb: storage: Add usb_stor_dbg, reduce
> object size").  Please build test such infrastructure patches with and
> without MODULES ...
> 
> I have used the usb tree from next-20130417 for today.

Sorry 'bout that.

I did compilation allyesconfig and allmodconfig with
and without CONFIG_USB_STORAGE_VERBOSE and made
.ko's for that directory only but not a full link.

Looks like it needs EXPORT_SYMBOL_GPL(usb_stor_dbg) in
debug.c.  It takes me quite a while to do a complete
allmodconfig build, but I'll check.